/**Begin D:\PDM_UPGRADE\PDM1\HRIC_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_IMPLITEM') 
 CREATE TABLE T_HRIC_IMPLITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FIMPLTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FIMPLSUBTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FBIZSUBAREAID BIGINT DEFAULT 0 NOT NULL,
FUSESCENE VARCHAR(10) DEFAULT ' ' NOT NULL,
FINITFORDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FINITFORMODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FENTITYOBJSCOPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FINITIMPORTTEMPLAT BIGINT DEFAULT 0 NOT NULL,
FDESCFORINPUT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCFORVERIFICATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINPUTPAGEADDR VARCHAR(1000) DEFAULT ' ' NOT NULL,
FCHECKPAGEADDR VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_IMPLITEM_L') 
 CREATE TABLE T_HRIC_IMPLITEM_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCFORINPUT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCFORVERIFICATION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_FRONTIMPL') 
 CREATE TABLE T_HRIC_FRONTIMPL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRIC_table.sql **/
